Implementation of the 'map' markup element and has been added to provide the integration of google maps or open street map depending on the value of the mapType attribute in the markup. The class lto-map is added to allow CSS manipulations. If the mapType is 'google' the user needs to add the GOOGLE_MAPS_API_KEY to the Properties registry.

Available properties: OSM_SELECTED_MARKER_HEIGHT to the Properties registry OSM_SELECTED_MARKER_HEIGHT to the Properties registry GOOGLE_MAPS_MARKER_HEIGHT to the Properties registry GOOGLE_MAPS_SELECTED_MARKER_HEIGHT to the Properties registry HERE_MAPS_API_KEY to the Properties registry HERE_MAPS_ROUTING_LINE_OPTIONS to the Properties registry HERE_MAPS_MARKER_HEIGHT to the Properties registry HERE_MAPS_MARKER_WIDTH to the Properties registry HERE_MAPS_MARKER_MARGIN to the Properties registry HERE_MAPS_SELECTED_MARKER_HEIGHT to the Properties registry HERE_MAPS_SELECTED_MARKER_WIDTH to the Properties registry HERE_MAPS_SELECTED_MARKER_MARGIN to the Properties registry HERE_MAPS_ROUTE_START_ICON_HEIGHT to the Properties registry HERE_MAPS_ROUTE_START_ICON_WIDTH to the Properties registry HERE_MAPS_ROUTE_START_ICON_MARGIN to the Properties registry HERE_MAPS_ROUTE_END_ICON_HEIGHT to the Properties registry HERE_MAPS_ROUTE_END_ICON_WIDTH to the Properties registry HERE_MAPS_ROUTE_END_ICON_MARGIN to the Properties registry

see

  IRenderable

### Hierarchy

- Map

### Implements

- IRenderable

## Index

### Constructors

- constructor

### Properties

- spec

### Methods

- render

## Constructors

### constructor

- new Map(spec: ISpecification): Map

- - Defined in lib/renderable/map/index.ts:40

  #### Parameters

  - ##### spec: ISpecification

  #### Returns Map

## Properties

### spec

spec: ISpecification

- Defined in lib/renderable/map/index.ts:40

## Methods

### render

- render(renderer: IRenderer, isNested: boolean): HTMLElement

- Implementation of IRenderable.render

  - Defined in lib/renderable/map/index.ts:46

  #### Parameters

  - ##### renderer: IRenderer

  - ##### isNested: boolean

  #### Returns HTMLElement

Generated using TypeDoc